//
// © 2017-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import UIKit

extension UIImageView {
	func loadAnimationImages(nameStem: String, count: UInt) {
        var images: [UIImage] = []
        for i in 1...count {
            let name = "\(nameStem)-\(i)"
            if let image = UIImage(named: name) {
                images.append(image)
            } else {
                print ("Image \(name) not present")
            }
        }
        animationImages = images
		animationDuration = Double(count)/24.0
		animationRepeatCount = 0
    }
}
